import './_commonjsHelpers-0c4b6f40.js';
import './_to-object-cedb5b78.js';
import './es6.string.iterator-1577cb76.js';
import './_library-528f1934.js';
import './_iter-detect-0fa1c752.js';
import './core.get-iterator-method-227107e6.js';
import './define-property-2f35af22.js';
import './web.dom.iterable-ace8ed30.js';
import React__default from 'react';
import 'prop-types';
import Row$1 from 'react-bootstrap/Row';
import Col$1 from 'react-bootstrap/Col';
import './isSymbol-1981418f.js';
import './asyncToGenerator-e1a2f43a.js';
import './Segment.js';
import './get-1e515072.js';
import './eq-b470f743.js';
import './react-social-icons-a7d5c5c7.js';
import './defineProperty-eb9699c0.js';
import SideFooter from './SideFooter.js';
import { C as ConferenceBanner } from './ConferenceBanner-8792ebd2.js';

var Column2 = function Column2(props) {
  var rightItems = props.rightItems,
      title = props.title,
      website = props.website;


  return React__default.createElement(
    'section',
    null,
    React__default.createElement(
      Row$1,
      { className: 'justify-content-md-center' },
      React__default.createElement(
        Col$1,
        { md: true, className: 'middleCol', style: { marginTop: !title && '10px' } },
        title && React__default.createElement(
          'h1',
          null,
          title
        ),
        props.children
      ),
      React__default.createElement(
        Col$1,
        { xs: 12, className: 'rightCol' },
        website && website.conferenceBannerContent && React__default.createElement(ConferenceBanner, { website: website }),
        React__default.createElement(
          'div',
          { className: 'sticky-top', style: { top: '60px' } },
          rightItems && rightItems.map(function (row, index) {
            return React__default.createElement(
              'div',
              { key: index },
              row.component
            );
          }),
          website && website.sideFooterContent && website.sideFooterContent.length && !website.showFooterOnLeftSide && React__default.createElement(SideFooter, { website: website })
        )
      )
    )
  );
};

export default Column2;
export { Column2 };
